%global momorel 15

Summary: Gimp module for perl
Name: perl-Gimp
Version: 2.2pre1
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://search.cpan.org/CPAN/authors/id/S/SJ/SJBURGES/Gimp-%{version}.tar.gz
NoSource: 0
URL: http://search.cpan.org/src/SJBURGES/Gimp-2.2pre1/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl >= 5.10.0
BuildRequires: perl-Gtk2
BuildRequires: perl-PDL
Requires: perl-File-Slurp

%description
Gimp module for perl.

%prep
%setup -q -n gimp-perl
sed -i -e 's:$$dir:$(DESTDIR)$$dir:g' Makefile.PL

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
#make install PERL_INSTALL_ROOT=%{buildroot} DESTDIR=%{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
find %{buildroot} -name 'perllocal.pod' | xargs rm -f

# remove conflicting file with gimp...
rm -f %{buildroot}%{_libdir}/gimp/2.0/plug-ins/redeye

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Gimp-%{version}-filelist
if [ "$(cat Gimp-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

find %{buildroot} -type f | xargs sed -i -e "s:/opt/bin/perl:/usr/bin/perl:g"
find examples -type f | xargs sed -i -e "s:/opt/bin/perl:/usr/bin/perl:g"

rm -rf %{buildroot}%{_libdir}/perl5/5.10.0/`perl -e 'use Config; print $Config{'archname'}'`


%files -f Gimp-%{version}-filelist
%defattr(-,root,root)
%doc Changes README* AUTHORS COPYING* ChangeLog NEWS
%doc examples

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2pre1-15m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2pre1-14m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2pre1-13m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2pre1-12m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2pre1-11m)
- rebuild against perl-5.10.1

* Sun Mar  8 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.2pre1-10m)
- add BuildRequires

* Sat Feb 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2pre1-9m)
- this package is arch dependent

* Thu Feb 26 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2pre1-8m)
- rebuild against libxcb-1.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2pre1-7m)
- rebuild against rpm-4.6

* Fri Sep 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2pre1-6m)
- remove conflicting file with gimp

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2pre1-5m)
- rebuild against gcc43

* Fri Feb 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2pre1-4m)
- add Requires: perl-File-Slurp

* Fri Feb 29 2008 Masanobu Sato <satoshiga@momonga-linux-org>
- (2.2pre1-3m)
- revise spec file for removing perllocal.pod file

* Fri Feb 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2pre1-2m)
- fix build on perl-5.10.0

* Thu Feb 28 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2pre1-1m)
- import to Momonga (for magicrescue)

